> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gnosispay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Activate a Card

> ## Prerequisites
- Card must have not been activated
- A Safe Account should be set for the authenticated user

If those conditions are met, the card is then activated.
The activated time will be the moment that this endpoint was triggered, in UTC.

:::info
This action also notifies the user by email
:::

:::caution
 Be sure to have a Safe Account associated with the user. If a Safe Account is not tied to the user the endpoint will fail.

 To check if a user has a Safe Account, you can get the User details via `GET /api/v1/user` and check if there's at least one `safeWallets` tied to the user.

 A Safe Account can be created via `POST /api/v1/account`
 :::




## OpenAPI

````yaml https://api.gnosispay.com/api-docs/spec.json post /api/v1/cards/{cardId}/activate
openapi: 3.0.0
info:
  title: GnosisPay API
  version: 1.0.0
  description: OpenAPI documentation for GnosisPay
servers:
  - url: https://api.gnosispay.com
security: []
tags:
  - name: Account Management
    description: Information about your Account
  - name: Authentication
    description: Authenticate to our API using SIWE
  - name: Card Management
    description: Manage all your Cards
  - name: IBAN
    description: Integrate with Monerium to issue IBANs
  - name: KYC
    description: KYC using Sumsub SDK
  - name: Physical Card Order
    description: Order a Physical Card and manage the process
  - name: Rewards
    description: Cashback Rewards
  - name: Safe Management
    description: Manage your Safe
  - name: Transactions
    description: Manage Card Transactions
  - name: User
    description: Manage User Information
  - name: Webhooks
    description: Manage Webhooks
paths:
  /api/v1/cards/{cardId}/activate:
    post:
      tags:
        - Card Management
      summary: Activate a Card
      description: >
        ## Prerequisites

        - Card must have not been activated

        - A Safe Account should be set for the authenticated user


        If those conditions are met, the card is then activated.

        The activated time will be the moment that this endpoint was triggered,
        in UTC.


        :::info

        This action also notifies the user by email

        :::


        :::caution
         Be sure to have a Safe Account associated with the user. If a Safe Account is not tied to the user the endpoint will fail.

         To check if a user has a Safe Account, you can get the User details via `GET /api/v1/user` and check if there's at least one `safeWallets` tied to the user.

         A Safe Account can be created via `POST /api/v1/account`
         :::
      parameters:
        - in: path
          name: cardId
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The card was activated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - Card activated successfully
        '400':
          description: Missing signer address
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '404':
          description: No card found
        '422':
          description: Request could not be processed
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/CardAlreadyActiveError'
                  - $ref: '#/components/schemas/CardBlockedError'
                  - $ref: '#/components/schemas/AssociatedSafeAccountNotFoundError'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - bearerAuth: []
components:
  responses:
    UnauthorizedError:
      description: Unauthorized Error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    CardAlreadyActiveError:
      type: object
      properties:
        error:
          type: string
          enum:
            - Card has been already activated
    CardBlockedError:
      type: object
      properties:
        error:
          type: string
          enum:
            - The card is blocked
    AssociatedSafeAccountNotFoundError:
      type: object
      properties:
        error:
          type: string
          enum:
            - Couldn't find an associated Safe account
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error message
          example: Internal server error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````